Bug 1503896 - [RFE] - Dell-EMC VMAX storage integration with Director
Summary: [RFE] - Dell-EMC VMAX storage integration with Director
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: z8
: 10.0 (Newton)
Assignee: Alan Bishop
QA Contact: Tzach Shefi
URL:
Whiteboard:
Keywords: FutureFeature, OtherQA, Triaged, ZStream
Depends On: 1546793
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-19 02:04 UTC by Pradipta Kumar Sahoo
Modified: 2018-05-17 15:42 UTC (History)
11 users (show)

(edit)
This release adds support for deploying Dell EMC VMAX Block Storage backend using the Red Hat OpenStack Platform director.
Clone Of:
: 1546793 (view as bug list)
(edit)
Last Closed: 2018-05-17 15:40:53 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1593 None None None 2018-05-17 15:42 UTC

Description Pradipta Kumar Sahoo 2017-10-19 02:04:48 UTC
Description of problem:

EMC-VMAX tripleo based template support got added upstream via:

https://github.com/openstack/tripleo-heat-templates/blob/master/environments/cinder-dellemc-vmax-iscsi-config.yaml
https://github.com/openstack/tripleo-heat-templates/blob/master/puppet/services/cinder-backend-dellemc-vmax-iscsi.yaml

Since EMC_VMAX has certified with RHOSP, Please let me know whether we can backport above templates to openstack-tripleo-heat-templates
[1] https://access.redhat.com/ecosystem/software/1572113

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-5.3.0-6.el7ost.noarch.rpm
openstack-tripleo-0.0.8-0.2.4de13b3git.el7ost.noarch.rpm

Comment 3 Rajini Karthik 2017-10-30 22:07:11 UTC
Dell - Internal Use - Confidential 
 https://review.openstack.org/#/c/485327/ - puppet-cinder
https://review.openstack.org/#/c/489624/ - puppet-tripleo
https://review.openstack.org/#/c/489393/ - tripleo-heat-templates

Comment 4 Rajini Karthik 2017-10-30 22:07:53 UTC
The patches were merged upstream in pike.
 https://review.openstack.org/#/c/485327/ - puppet-cinder
https://review.openstack.org/#/c/489624/ - puppet-tripleo
https://review.openstack.org/#/c/489393/ - tripleo-heat-templates

Comment 6 Alan Bishop 2017-11-02 20:25:30 UTC
Rajini, could you please propose the patches in comment #4 to stable/ocata? I checked with Alex Schultz on #tripleo and he seemed amenable to adding them upstream.

Comment 7 Rajini Karthik 2017-11-03 16:21:40 UTC
Will do soon

Comment 8 Rajini Karthik 2017-11-07 15:10:05 UTC
https://review.openstack.org/#/c/518344/ - puppet-cinder
https://review.openstack.org/#/c/518345/ - puppet-tripleo
https://review.openstack.org/#/c/518352/ - tripleo-heat-templates

Cherry picked the backports

Comment 10 Rajini Karthik 2017-11-27 19:12:40 UTC
All backports are now merged

Comment 11 Alan Bishop 2017-11-27 19:14:49 UTC
(In reply to Rajini Karthik from comment #10)
> All backports are now merged

Ack. I'll start the downstream backports to OSP-10.

Thanks for handling the stable/ocata work, Rajini!

Comment 22 errata-xmlrpc 2018-05-17 15:40:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1593


Note You need to log in before you can comment on or make changes to this bug.